Gutenprint + CUPS backends for Dye Sublimation printers
Go to file
Solomon Peachy 6c0e25ae4b all: Add a common lib version too. 2013-06-30 13:01:17 -04:00
icm kodak68xx: Add ICC profiles. 2013-06-30 12:51:54 -04:00
testjobs kodak6800: Add test job. 2013-06-27 23:07:57 -04:00
.gitattributes Initial commit of current sources. 2012-10-26 22:06:47 -04:00
.gitignore gitignore update. 2013-06-27 22:46:21 -04:00
COPYING [misc] Add GPLv3 license text. 2012-10-26 23:41:11 -04:00
Makefile Fix 'make clean' target. 2013-06-30 12:16:39 -04:00
README Rename README. 2013-06-30 12:50:03 -04:00
backend_common.c all: Add a common lib version too. 2013-06-30 13:01:17 -04:00
kodak1400_print.c all: Add a common lib version too. 2013-06-30 13:01:17 -04:00
kodak6800_print.c all: Add a common lib version too. 2013-06-30 13:01:17 -04:00
selphy_print.c all: Add a common lib version too. 2013-06-30 13:01:17 -04:00

README

 ***************************************************************************

  CUPS Backends for various Dye-Sublimation photo printers

  (c) 2007-2013 Solomon Peachy <pizza@shaftnet.org>

  The latest version of these programs can be found at
  
  http://git.shaftnet.org/git/gitweb.cgi?p=selphy_print.git

 ***************************************************************************
  Supported Printers for each backend:

   selphy:     All Canon SELPHY ES and SELPHY CP printer models (see below).
   kodak1400:  Kodak Professional 1400
               Kodak 805 Photo Printer
   kodak6800:  Kodak 6800 Photo Printer

 ***************************************************************************
  Compilation:

     You will need libusb-1.0 to build this tool.

     Fedora/RedHat:
	yum install libusb1-devel
     Debian/Ubuntu
	apt-get install libusb-1.0-0-dev

   And all you need to do after that is type 'make'

 ***************************************************************************
  CUPS backend usage:

   The simple method is to use Gutenprint 5.2.10 or newer, which bundles 
   (possibly older versions of) these backends.  Without Gutenprint to
   rasterize the print data, these backends are useless.

   The backends need to be owned by root, with 0700 file permissions in order
   to function properly.

   To install these backends, simply type 'make install'.

   You may need to restart CUPS.

 ***************************************************************************
  Standalone usage:

  	selphy_print filename
	selphy_print - < filename
	somecommand | selphy_print -

  	kodak1400_print filename
	kodak1400_print - < filename
	somecommand | kodak1400_print -

  	kodak6800_print filename
	kodak6800_print - < filename
	somecommand | kodak6800_print -

   NOTE: The 'filename' here refers to the raw spool data generated by
         Gutenprint (eg via its gimp plugin) or the Windows print-to-file 
	 output.

   The selphy backend has an additional operational mode, to test out
   unknown models.  To use this mode, specify the PID and its type as 
   environment variables.  For example:

	SELPHY_PID=3ab1 SELPHY_TYPE=3 selphy_print filename

	SELPHY_PID is the USB PID, in hex
	SELPHY_TYPE is: 3 for CP790
			4 for CP520 (or other CP-series model)

   If you have a model the spooler doesn't recognize but it works with
   a PID/TYPE specification, please let me know via e-mail.

 *************************************************************************** 
  selphy backend:

   Verified supported printers:
  
     ES1, ES2, ES3, ES30, ES40, CP-100, CP-200, CP-300, CP-330, CP400, 
     CP500, CP510, CP710, CP720, CP730, CP740, CP750, CP760, CP770, CP780, 
     CP800, CP900

   Unverified/untested, but should work:

     ES20, CP-220, CP530, CP600, CP810

   Semi-supported (has problems)

     CP-10

   NOT currently supported by libusb backend:  (USB PIDs unknown)  **
	
     CP520, CP790

    ** Note that a PID can be supplied on the command line, see below.
       Once the PIDs are known, these printers are expected to work.

 *************************************************************************** 
  kodak1400 backend:

   This backend fully supports the Kodak 1400 medium-format printer.

   The Kodak 805 is likely supported, but needs testing.

 *************************************************************************** 
  kodak6800 backend:

   This backend fully supports the Kodak 6800 kiosk printer.

   The Kodak 6850 and Kodak 605 models are likely supported, but need testing.